<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">

	<xs:simpleType name="LanguageId">
		<xs:restriction base="xs:string">
			<xs:pattern value="[A-Z]{2}" />
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="IconTypes">
		<xs:restriction base="xs:NCName">
			<xs:enumeration value="material" />
			<xs:enumeration value="intern" />
			<xs:enumeration value="byImage" />
		</xs:restriction>
	</xs:simpleType>

	<xs:complexType name="MultiLanguageEntry">
		<xs:simpleContent>
			<xs:extension base="xs:string">
				<xs:attribute name="Lang" type="LanguageId" use="required"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>

	<xs:element name="F4SD-Icon-Configuration">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="IconDefinitions" minOccurs="1" maxOccurs="1" />
			</xs:sequence>
		</xs:complexType>
	</xs:element>

	<xs:element name="IconDefinitions">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="IconDefinition-Image" minOccurs="0" maxOccurs="unbounded" />
			</xs:sequence>
		</xs:complexType>
	</xs:element>

	<xs:element name="IconDefinition-Image">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="IconImage" minOccurs="1" maxOccurs="unbounded" />
				<xs:element ref="Description" minOccurs="0" maxOccurs="unbounded" />
			</xs:sequence>
			<xs:attribute name="Name" type="xs:NCName" use="required" />
			<xs:attribute name="IconType" type="IconTypes" use="required" />
			<xs:attribute name="Description" type="IconTypes" use="optional" />
		</xs:complexType>
	</xs:element>

	<xs:element name="Description">
		<xs:complexType>
			<xs:simpleContent>
				<xs:extension base="MultiLanguageEntry" />
			</xs:simpleContent>
		</xs:complexType>
	</xs:element>

	<xs:element name="IconImage">
		<xs:complexType>
			<xs:simpleContent>
				<xs:extension base="xs:string">
					<xs:attribute name="SizeX" type="xs:integer" />
					<xs:attribute name="SizeY" type="xs:integer" />
				</xs:extension>
			</xs:simpleContent>
		</xs:complexType>
	</xs:element>

</xs:schema>
